> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Update a dropdown

PATCH https://{tenant_name}.benchling.com/api/v2/dropdowns/{dropdown_id}
Content-Type: application/json

Update a dropdown

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/dropdowns/update-dropdown

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `dropdown_id` (string, required)

### Body (application/json)

This endpoint expects a DropdownUpdate.

- `options` (list of DropdownOptionUpdate, required) — Options to set for the dropdown

## Response

### 200

OK

- `id` (string, optional) — ID of the dropdown
- `name` (string, optional) — Name of the dropdown
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `options` (list of DropdownOption, optional) — Array of dropdown options

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

### 403 Forbidden Error

Forbidden

- `error` (ForbiddenErrorError, optional)

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### DropdownOptionUpdate

- `name` (string, required) — Name of the dropdown option.
- `id` (string, optional) — ID of the dropdown option to update, omitted if creating a new option.

### ArchiveRecord

- `reason` (string, optional)

### DropdownOption

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `name` (string, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### ForbiddenErrorError

- `invalidId` (string, optional)
- `message` (string, optional)
- `type` (string, optional)
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

## Examples

**Request**

```json
{
  "options": [
    {
      "name": "string"
    }
  ]
}
```

**Response**

```json
{
  "id": "string",
  "name": "string",
  "archiveRecord": {
    "reason": "Made in error"
  },
  "options": [
    {
      "archiveRecord": {
        "reason": "Made in error"
      },
      "id": "string",
      "name": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/dropdowns/dropdown_id"

payload = { "options": [{ "name": "string" }] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/dropdowns/dropdown_id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"options":[{"name":"string"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```